import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {OrderOilListComponent} from './order-oil/order-oil-list/order-oil-list.component';
import {OrderCouponListComponent} from './order-coupon/order-coupon-list/order-coupon-list.component';
import {OrderIntegralRechargeComponent} from './order-integral-recharge/order-integral-recharge.component';
import {OrderRefundListComponent} from './order-refund-list/order-refund-list.component';
import {KfcOrderListComponent} from './kfc-order/kfc-order-list/kfc-order-list.component';
import {StarbucksOrderListComponent} from './starbucks-order/starbucks-order-list/starbucks-order-list.component';
import {MemberChargeOrderListComponent} from './member-charge-order/member-charge-order-list/member-charge-order-list.component';
import {OrderHListComponent} from '../order/order-h-list/order-h-list.component';
import {PreOrderComponent} from '../order/pre-order/pre-order.component';
import {DiscountUseConditionListComponent} from '../order/discount-use-condition-list/discount-use-condition-list.component';
import {DicountPackageOrderListComponent} from '../order/dicount-package-order-list/dicount-package-order-list.component';


const routes: Routes = [
  { path: 'order-oil-list', component: OrderOilListComponent },
  { path: 'order-coupon-list', component: OrderCouponListComponent },
  { path: 'order-integral-recharge-list', component: OrderIntegralRechargeComponent },
  { path: 'order-refund-list', component: OrderRefundListComponent },
  { path: 'order-kfc-list', component: KfcOrderListComponent},
  { path: 'order-starbucks--list', component: StarbucksOrderListComponent},
  { path: 'order-member-charge--list', component: MemberChargeOrderListComponent},
  { path: 'order-h-list', component: OrderHListComponent },
  { path: 'pre-order', component: PreOrderComponent },
  { path: 'discount-use-condition-list', component: DiscountUseConditionListComponent },
  { path: 'discount-package-order-list', component: DicountPackageOrderListComponent},
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class OrderManageRoutingModule { }
