import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {DistributionIntegralListComponent} from './distribution-integral-list/distribution-integral-list.component';
import {PromotionOrderListComponent} from './promotion-order-list/promotion-order-list.component';



const routes: Routes = [
    { path: 'distribution-integral-list', component: DistributionIntegralListComponent },
    { path: 'promotion-order-list', component: PromotionOrderListComponent },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class PromotionRoutingModule { }
