import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'productType'
})
export class ProductTypePipe implements PipeTransform {

    array = {
        1: ['星巴克'],
        2: ['', '肯德基'],
        3: ['', '', '第三方产品'],
        4: ['中石化', '消费券', '其他卡券' , '贵州中石化' , '重庆中石油'],
        5: ['', '', '', '', '在线加油'],
    };

    transform(type: number , product: number): string {
        return this.array[type][product - 1];
    }

}
