import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { GasClassGroupRoutingModule } from './gas-class-group-routing.module';
import { GasClassGroupListComponent } from './gas-class-group-list/gas-class-group-list.component';
import { GasClassGroupTaskComponent } from './gas-class-group-task/gas-class-group-task.component';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {AppCommonModule} from '../../app-common.module';


@NgModule({
  declarations: [GasClassGroupListComponent, GasClassGroupTaskComponent],
  imports: [
    CommonModule,
    GasClassGroupRoutingModule,
    NgZorroAntdModule,
    ReactiveFormsModule,
    FormsModule,
    BreadcrumbModule,
    AppCommonModule,
  ]
})
export class GasClassGroupModule { }
